<template lang="html">
  <div class="list-item" :class="{ 'active': active }">
    <div class="icon" v-if="$slots.icon"><slot name="icon"></slot></div>
    <div class="info">
      <p class="title"><slot></slot></p>
      <p v-if="subtitle" class="subtitle">{{ subtitle }}</p>
    </div>
    <div class="details" v-if="details">
      <p class="title">{{ details }}</p>
      <p v-if="subdetails" class="subtitle">{{ subdetails }}</p>
    </div>
  </div>
</template>

<script>
export default {
  props: ['subtitle','active','details','subdetails'],
}
</script>

<style lang="scss" scoped>
@import 'butter-themes';
@import 'butter-mixins';

.list-item {
  @include themify($themes) {
    border-top: 1px solid themed('border-color');
    &:first-child {
      border: none;
    }
  }

  display: flex;
  align-items: center;
  justify-content: flex-start;
  flex-shrink: 0;
  padding: $grid * 2;

  &.active {
    @include themify($themes) {
      color: themed('color-text-primary');
      background-color: themed('color-bg-secondary');
    }
  }
}
.icon {
  justify-content: center;
  margin-right: $grid*2.75;
  width: auto;
  height: auto;
}
p {
  margin: 0;
  justify-content: flex-start;
}
.info {
  flex-grow: 1;
}
.title {
  @include font(16px,24px,$font-sans-bold);
  display: flex;
  flex-grow: 1;
  justify-content: space-between;
  align-items: center;
}
.subtitle,
.subdetails {
  @include font(16px,24px,$font-sans);
  @include themify($themes) {
    color: themed('color-text-tertiary');
  }

  font-size: 14px;
  display: flex;
  word-break: break-all;

  .active & {
    @include themify($themes) {
      color: themed('color-text-inactive');
    }
  }
}
.details {
  @include font(16px,24px,$font-sans);
  font-size: 14px;

  display: flex;
  flex-direction: column;
  align-self: stretch;
  align-items: flex-end;

  .active & {
    @include themify($themes) {
      color: themed('color-text-inactive');
    }
  }
}
</style>
